Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.atom
Interface AtomModule

All Known Implementing Classes:
  AtomModuleBase

public interface AtomModule

Author:
  R. Alexander Milowski

Nested Class Summary
`static interface` | `AtomModule.Context`

Method Summary
`void` | `init(AtomModule.Context context)`
`void` | `process(DBBroker broker, IncomingMessage message, OutgoingMessage response)`

Method Detail

### init

    public void init(AtomModule.Context context)
              throws EXistException

  Throws:
    `EXistException`

### process

    public void process(DBBroker broker,
                        IncomingMessage message,
                        OutgoingMessage response)
                 throws BadRequestException,
                        PermissionDeniedException,
                        NotFoundException,
                        EXistException

  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.